<div class="bannerEvent position-relative" [style.background]="'url('+data.selectedEvent?.imgCover+')'">
  <div class="float-bottom-title">

    <div class="container">
      <div class="col-md-3">
        <h3>{{data.selectedEvent?.name}}</h3>
      </div>
      <div class="col-md-9 padding-right-0">
        <h3 class=" pull-right">
          <button class="btn btn-default">
            <span class="pull-left">
              <i class="fa fa-heart-o fa-lg heart-o"></i>&nbsp;
            </span>
            Add to Favourites
          </button>
          <button md-fab shareButton="twitter" class="btn btn-default hover-white">
            <i class="fa fa-twitter fa-lg twitter"></i>
          </button>
          <button md-fab shareButton="facebook" class="btn btn-default hover-white ">
            <i class="fa fa-facebook fa-lg facebook"></i>
          </button>
          <button md-fab shareButton="linkedin" class="btn btn-default hover-white">
            <i class="fa fa-linkedin fa-lg linkedin"></i>
          </button>
          <button md-fab shareButton="pinterest" class="btn btn-default hover-white ">
            <i class="fa fa-pinterest fa-lg pinterest"></i>
          </button>
        </h3>
      </div>
    </div>
  </div>

</div>

<div class="container padding-top-20">
  <div class="col-md-3 border-off-white">
    <h4>Organizer Details</h4>
    <hr>
    <strong>Organizer Name</strong>
    <br>
    <p>{{data.selectedEvent?.organizerFullName}}</p>
    <strong>Organizer Phone</strong>
    <br>
    <p>{{data.selectedEvent?.organizerPhone}}</p>
    <strong>Organizer Email</strong>
    <p>{{data.selectedEvent?.organizerEmail}}</p>
    <strong>Organizer Website</strong>
    <p>{{data.selectedEvent?.organizerWebsite}}</p>

    <strong>Awards and Achievements</strong>
    <p [innerHTML]="data.selectedEvent?.awardsCertificate"></p>

    {{data.bookedTicketsArray |json}}
  </div>

  <div class="col-md-6">
    <h4>
      Booking Details
    </h4>
    <hr>

    <div class="col-md-12 margin-bottom-20 padding-bottom-20 border-off-white" *ngFor="let programme of data.selectedEvent?.programmes; let i=index">
      <h4 class="text-danger">{{programme.programmeName}} ( {{programme.programmeCategory}})</h4>
      <hr>
      <strong>From </strong> {{programme.fromDate}} ({{programme.fromTime}})
      <strong>To</strong> {{programme.toDate}} ({{programme.toTime}})
      <div></div>
      <br>
      <div class="col-md-12 background-off-white">
        <h4>Tickets</h4>
        <hr>
        <div class="col-md-12" *ngFor="let ticket of programme.tickets; let j=index">
          <div class="col-md-8">
            <h5>
              <strong>{{ticket.category}} (Till {{ticket.date}}) - {{ticket.price==0?"Free":ticket.price}}</strong>
            </h5>
            <h6>{{ticket.seats==0? "Tickets Over":"Only "+ticket.seats+" remaining"}}</h6>
          </div>
          <div class="col-md-4">
            <!-- <input max="{{ticket.seats}}" class="form-control margin-top-10" (focusout)="bookTicket(i,j,$event.target.value)" type="number"
              name="bookingTicketsNumber" id="" value="0"> -->
            <input *ngIf="data.bookedTicketsArray[i]" max="{{ticket.seats}}" class="form-control margin-top-10" [(ngModel)]="data.bookedTicketsArray[i][j]"
              (ngModelChange)="bookTicket(i,j)" type="number" name="bookingTicketsNumber" id="" value="0">
          </div>
        </div>
      </div>
    </div>

    <button class="pull-right btn btn-success pull-right pull-top margin-top--8" (click)="bookTicketsForEvent()">Book Tickets for this Event</button>


  </div>
  <div class="col-md-3 border-off-white">



    <h4>Event Details</h4>
    <hr>
    <strong>About the Event</strong>
    <br>
    <p [innerHTML]="data.selectedEvent?.description"></p>

    <strong>Event Category</strong>
    <br>
    <p>{{data.selectedEvent?.eventCategory}}</p>

    <strong>Event Venue</strong>
    <br>
    <p>
      {{data.selectedEvent?.address}}
    </p>
    <strong>Event Date &amp; Time</strong>
    <br>
    <div class="col-md-5 padding-left-0">
      From
      <br> {{data.selectedEvent?.fromDate}} ({{data.selectedEvent?.fromTime}})
    </div>
    <div class="col-md-2">
      -
    </div>

    <div class="col-md-5">
      To
      <br> {{data.selectedEvent?.toDate}} ({{data.selectedEvent?.fromTime}})
    </div>
    <div class="col-md-12">
      <p> </p>
    </div>
    <strong>Event Place</strong>
    <br>
    <p>
      {{data.selectedEvent?.city}},{{data.selectedEvent?.country}}
    </p>
  </div>
</div>